NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Weld.WeldFillBuilder Class Reference

A builder used to create or edit a NXOpen.Weld.Fill feature. More...

Inheritance diagram for NXOpen.Weld.WeldFillBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BoundaryMethodType { Rectangle, Curve }
 Defines whether the initial boundary of the fill pattern is defined by a two point rectangle or a curve. More...
 
enum  WidthAlongType { Xc, Yc }
 Defines the direction the fill strip's length is aligned More...
 

Public Member Functions

unsafe void DeleteFillStrip (NXOpen.Weld.WeldFillStripBuilder fillStrip)
 Delete a fill strip. More...
 
unsafe
NXOpen.Weld.WeldFillStripBuilder 
NewFillStrip (NXOpen.Point3d center, double length)
 Create a new fill strip. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Section Boundary [get]
 Returns the section defining the boundary if the NXOpen.Weld.WeldFillBuilder.BoundaryMethodType.Curve option is specified for the boundary type. More...
 
unsafe
NXOpen.Weld.WeldFillBuilder.BoundaryMethodType 
BoundaryMethod [get, set]
 Returns or sets the type of boundary to create the fill from. More...
 
unsafe bool ChangeViewOrientation [get, set]
 Returns or sets the indication if the view orientation should be changed automatically (true) upon initial creation of rectangles, or not (false) More...
 
unsafe
NXOpen.Weld.CharacteristicsBuilder 
Characteristics [get]
 Returns the characteristics information. More...
 
unsafe NXOpen.Point Corner1 [get, set]
 Returns or sets the first corner of the boundary if the NXOpen.Weld.WeldFillBuilder.BoundaryMethodType.Rectangle option is specified for the boundary type. More...
 
unsafe NXOpen.Point Corner2 [get, set]
 Returns or sets the second corner of the boundary if the NXOpen.Weld.WeldFillBuilder.BoundaryMethodType.Rectangle option is specified for the boundary type. More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance used in processing to determine if two points are coincident. More...
 
unsafe double ExtendDistance [get, set]
 Returns or sets the distance to extend a strip. More...
 
unsafe double ExtrudeHeight [get, set]
 Returns or sets the height of the extrusions representing the fill. More...
 
unsafe
NXOpen.Weld.WeldFillStripBuilderList 
FillStripList [get]
 Returns the fill strip list. More...
 
unsafe NXOpen.Section InnerBoundary [get]
 Returns the section containing edges of interior openings which indicate that these openings should be filled over. More...
 
unsafe NXOpen.CoordinateSystem Orientation [get, set]
 Returns or sets the coordinate system that defines the alignment of the strips and rectangle. More...
 
unsafe NXOpen.ScCollector PlacementFace [get]
 Returns the collector containing the faces to build the fill on. More...
 
unsafe bool SubdivideRegion [get, set]
 Returns or sets the indication if the fill is to be a collection of rectangles (true), or simply the enclosed boundary area (false). More...
 
unsafe bool UseSeedFace [get, set]
 Returns or sets the indication if the selected faces should be used as seed faces. More...
 
unsafe double Width [get, set]
 Returns or sets the width of the rectangles. More...
 
unsafe
NXOpen.Weld.WeldFillBuilder.WidthAlongType 
WidthAlong [get, set]
 Returns or sets the width of the rectangles will be measured along this direction. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

A builder used to create or edit a NXOpen.Weld.Fill feature.

To create a new instance of this class, use NXOpen.Weld.WeldManager.CreateFillBuilder

Default values.

Property Value

BoundaryMethod

Rectangle

ChangeViewOrientation

0

ExtendDistance

-15.0 (millimeters part), -0.5 (inches part)

ExtrudeHeight

1

SubdivideRegion

0

Width

5

WidthAlong

Xc

Created in NX7.5.0

Member Enumeration Documentation

Defines whether the initial boundary of the fill pattern is defined by a two point rectangle or a curve.

Enumerator
Rectangle 

Boundary defined by a two point rectangle.

Curve 

Boundary defined by a curve.

Defines the direction the fill strip's length is aligned

Enumerator
Xc 

The length is aligned along the current WCS X direction.

Yc 

The length is aligned along the current WCS Y direction.

Member Function Documentation

unsafe void NXOpen.Weld.WeldFillBuilder.DeleteFillStrip ( NXOpen.Weld.WeldFillStripBuilder  fillStrip)
inline

Delete a fill strip.

Created in NX7.5.0

License requirements: ugweld ("UG WELD")

Parameters
fillStripFill strip to delete.
unsafe NXOpen.Weld.WeldFillStripBuilder NXOpen.Weld.WeldFillBuilder.NewFillStrip ( NXOpen.Point3d  center,
double  length 
)
inline

Create a new fill strip.

Created in NX7.5.0

License requirements: ugweld ("UG WELD")

Parameters
centerCenter of the fill strip
lengthLength of the fill strip
Returns

Property Documentation

unsafe NXOpen.Section NXOpen.Weld.WeldFillBuilder.Boundary
get

Returns the section defining the boundary if the NXOpen.Weld.WeldFillBuilder.BoundaryMethodType.Curve option is specified for the boundary type.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Weld.WeldFillBuilder.BoundaryMethodType NXOpen.Weld.WeldFillBuilder.BoundaryMethod
getset

Returns or sets the type of boundary to create the fill from.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.WeldFillBuilder.ChangeViewOrientation
getset

Returns or sets the indication if the view orientation should be changed automatically (true) upon initial creation of rectangles, or not (false)

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.CharacteristicsBuilder NXOpen.Weld.WeldFillBuilder.Characteristics
get

Returns the characteristics information.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Weld.WeldFillBuilder.Corner1
getset

Returns or sets the first corner of the boundary if the NXOpen.Weld.WeldFillBuilder.BoundaryMethodType.Rectangle option is specified for the boundary type.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Point NXOpen.Weld.WeldFillBuilder.Corner2
getset

Returns or sets the second corner of the boundary if the NXOpen.Weld.WeldFillBuilder.BoundaryMethodType.Rectangle option is specified for the boundary type.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.WeldFillBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance used in processing to determine if two points are coincident.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.WeldFillBuilder.ExtendDistance
getset

Returns or sets the distance to extend a strip.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.WeldFillBuilder.ExtrudeHeight
getset

Returns or sets the height of the extrusions representing the fill.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldFillStripBuilderList NXOpen.Weld.WeldFillBuilder.FillStripList
get

Returns the fill strip list.

Created in NX7.5.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Section NXOpen.Weld.WeldFillBuilder.InnerBoundary
get

Returns the section containing edges of interior openings which indicate that these openings should be filled over.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.CoordinateSystem NXOpen.Weld.WeldFillBuilder.Orientation
getset

Returns or sets the coordinate system that defines the alignment of the strips and rectangle.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.ScCollector NXOpen.Weld.WeldFillBuilder.PlacementFace
get

Returns the collector containing the faces to build the fill on.

Note that during processing additional faces will be obtained by getting adjacent tangent faces (within 45 degrees) so that the boundary of the area is covered. At least one face inside of every boundary must be selected.

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Weld.WeldFillBuilder.SubdivideRegion
getset

Returns or sets the indication if the fill is to be a collection of rectangles (true), or simply the enclosed boundary area (false).

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.WeldFillBuilder.UseSeedFace
getset

Returns or sets the indication if the selected faces should be used as seed faces.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe double NXOpen.Weld.WeldFillBuilder.Width
getset

Returns or sets the width of the rectangles.

Only used if SubdivideRegion is true.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Weld.WeldFillBuilder.WidthAlongType NXOpen.Weld.WeldFillBuilder.WidthAlong
getset

Returns or sets the width of the rectangles will be measured along this direction.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.